Bug 1575806 - [abrt] btrfs_finish_chunk_alloc: WARNING: CPU: 0 PID: 26619 at fs/btrfs/ctree.h:1566 btrfs_update_device+0x1b2/0x1c0 [btrfs] [btrfs] [NEEDINFO]
Summary: [abrt] btrfs_finish_chunk_alloc: WARNING: CPU: 0 PID: 26619 at fs/btrfs/ctree...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:39e6c04569765b11b7edcde1ba2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-08 01:26 UTC by Joshua Roys
Modified: 2018-08-29 15:23 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-29 15:23:09 UTC
Type: ---
jforbes: needinfo?


Attachments (Terms of Use)
File: dmesg (92.39 KB, text/plain)
2018-05-08 01:26 UTC, Joshua Roys
no flags Details

Description Joshua Roys 2018-05-08 01:26:20 UTC
Description of problem:
Unsure what leads to this crash.  There are many in dmesg.  I have one RAID 1 btrfs filesystem.

Additional info:
reporter:       libreport-2.9.3
WARNING: CPU: 0 PID: 26619 at fs/btrfs/ctree.h:1566 btrfs_update_device+0x1b2/0x1c0 [btrfs]
Modules linked in: udf tcp_diag inet_diag vfio_pci vfio_virqfd vfio_iommu_type1 vfio xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_nat_tftp nf_conntrack_tftp nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel kvm btrfs irqbypass crct10dif_pclmul crc32_pclmul ghash_clmulni_intel xor intel_cstate zstd_compress iTCO_wdt
 iTCO_vendor_support mei_wdt intel_uncore raid6_pq intel_rapl_perf zstd_decompress xxhash snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic snd_hda_intel snd_hda_codec i2c_i801 intel_pch_thermal lpc_ich snd_hda_core snd_hwdep snd_seq snd_seq_device joydev snd_pcm ftdi_sio snd_timer snd mei_me mei soundcore shpchp ie31200_edac acpi_pad nfsd nfs_acl lockd grace auth_rpcgss sunrpc i915 uas usb_storage crc32c_intel drm_kms_helper igb firewire_ohci e1000e drm firewire_core crc_itu_t dca i2c_algo_bit ptp pps_core video
CPU: 0 PID: 26619 Comm: worker Not tainted 4.15.9-300.fc27.x86_64 #1
Hardware name: Supermicro X10SAE/X10SAE, BIOS 3.0b 06/23/2017
RIP: 0010:btrfs_update_device+0x1b2/0x1c0 [btrfs]
RSP: 0018:ffffb5c1cb5db600 EFLAGS: 00010206
RAX: 0000000000000fff RBX: ffff9fde79f738c0 RCX: 000000e8e0cb1e00
RDX: 0000000000001000 RSI: 0000000000003f5c RDI: ffff9fdb3dc85ea0
RBP: ffff9fde7a55ec00 R08: ffffb5c1cb5db5b0 R09: ffffb5c1cb5db5b8
R10: 0000000000000003 R11: 0000000000003000 R12: 0000000000000000
R13: 0000000000003f3c R14: ffff9fdb3dc85ea0 R15: 00000000fffffff4
FS:  00007f9f67373700(0000) GS:ffff9fde9fa00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f7b7e900000 CR3: 00000003846fc004 CR4: 00000000001626f0
Call Trace:
 btrfs_finish_chunk_alloc+0x129/0x4a0 [btrfs]
 ? set_extent_buffer_dirty+0x70/0xa0 [btrfs]
 ? btrfs_create_pending_block_groups+0xed/0x260 [btrfs]
 btrfs_create_pending_block_groups+0xed/0x260 [btrfs]
 __btrfs_end_transaction+0x8e/0x2d0 [btrfs]
 find_free_extent+0xb3c/0xf00 [btrfs]
 btrfs_reserve_extent+0x9c/0x1e0 [btrfs]
 cow_file_range.isra.66+0x144/0x460 [btrfs]
 run_delalloc_nocow+0x747/0xb20 [btrfs]
 run_delalloc_range+0x1a3/0x3c0 [btrfs]
 writepage_delalloc+0xc9/0x180 [btrfs]
 __extent_writepage+0x17a/0x310 [btrfs]
 extent_write_cache_pages.constprop.54+0x141/0x380 [btrfs]
 extent_writepages+0x55/0x80 [btrfs]
 ? btrfs_real_readdir+0x4d0/0x4d0 [btrfs]
 do_writepages+0x4b/0xe0
 ? __filemap_fdatawrite_range+0xc1/0x100
 __filemap_fdatawrite_range+0xc1/0x100
 btrfs_fdatawrite_range+0x1b/0x50 [btrfs]
 start_ordered_ops+0x15/0x20 [btrfs]
 btrfs_sync_file+0x9d/0x410 [btrfs]
 do_fsync+0x38/0x60
 SyS_fdatasync+0xf/0x20
 do_syscall_64+0x74/0x180
 entry_SYSCALL_64_after_hwframe+0x3d/0xa2
RIP: 0033:0x7fa0b950fdec
RSP: 002b:00007f9f673728e0 EFLAGS: 00000293 ORIG_RAX: 000000000000004b
RAX: ffffffffffffffda RBX: 000055d1ef48a340 RCX: 00007fa0b950fdec
RDX: 0000000000000000 RSI: 0000000000000000 RDI: 0000000000000011
RBP: 000055d1ecdf5e00 R08: 0000000000000000 R09: 00000000ffffffff
R10: 00007f9f67372900 R11: 0000000000000293 R12: 000055d1edef24f0
R13: 000055d1ecdd7f68 R14: 000055d1ecdd7ef0 R15: 00007f9f8a0ed7a0
Code: 4c 89 f7 45 31 c0 ba 10 00 00 00 4c 89 ee e8 66 1e ff ff 4c 89 f7 e8 0e ef fc ff e9 de fe ff ff 41 bc f4 ff ff ff e9 db fe ff ff <0f> 0b eb b7 e8 65 de 50 f3 0f 1f 44 00 00 0f 1f 44 00 00 41 55

Comment 1 Joshua Roys 2018-05-08 01:26:35 UTC
Created attachment 1432873 [details]
File: dmesg

Comment 2 Justin M. Forbes 2018-07-23 15:32:55 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.

Fedora 27 has now been rebased to 4.17.7-100.fc27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 28, and are still experiencing this issue, please change the version to Fedora 28.

If you experience different issues, please open a new bug report for those.

Comment 3 Justin M. Forbes 2018-08-29 15:23:09 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 5 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.